// -*- coding: utf-8 -*-
// Terraformed TP2015_RR245.sc for TPSolSys
// JackDole 2016.07.15 13:59:38

// Put in 'addons\catalogs\planets'

// Needs:
//  An (almost) totally procedurally generated Sol system at another location. 
//  http://en.spaceengine.org/forum/17-3431-68233-16-1468156760

DwarfPlanet "P.2015 RR245"
{
    ParentBody  "P.Sol"
    Class       "Terra"
    
    Radius      350
    
    Mass        0.003
    
    RotationPeriod  23.6928
    Obliquity       28.5714
    EqAscendNode    -74.2857
    
    AbsMagn     3.8
    SlopeParam  0.15
    
    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Terrestrial"
        Panspermia "true"
    }

    Surface
    {
        SurfStyle       0.684402
        OceanStyle      0.048268
        Randomize      (-0.224, -0.903, -0.003)
        colorDistMagn   0.0422705
        colorDistFreq   40.6172
        detailScale     900.22
        colorConversion true
        drivenDarkening -1
        seaLevel        0.4512
        snowLevel       0.805675
        tropicLatitude  0.856895
        icecapLatitude  0.965917
        icecapHeight    0.454811
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.18363
        venusFreq       0.805675
        venusMagn       0.428906
        mareFreq        0.001
        mareDensity     0.000898569
        terraceProb     0.329996
        erosion         0.130463
        montesMagn      0.0707561
        montesFreq      15.4773
        montesSpiky     0.971376
        montesFraction  0.176223
        dunesMagn       0.0213446
        dunesFreq       2.71566
        dunesFraction   0.20436
        hillsMagn       0.120572
        hillsFreq       34.1002
        hillsFraction   0.113218
        hills2Fraction  0.482815
        riversMagn      62.3997
        riversFreq      3.073
        riversSin       4.46904
        riversOctaves   2
        canyonsMagn     0.0425011
        canyonsFreq     7.42734
        canyonFraction  0.784916
        cracksMagn      0.0924214
        cracksFreq      0.0357048
        cracksOctaves   0
        craterMagn      0.7936
        craterFreq      1.17014
        craterDensity   0
        craterOctaves   0
        craterRayedFactor 0
        volcanoMagn     0.206216
        volcanoFreq     0.698297
        volcanoDensity  0.220864
        volcanoOctaves  3
        volcanoActivity 0
        volcanoFlows    0.805087
        volcanoRadius   0.121805
        volcanoTemp     1266.89
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     2.11016
        stripeFluct     0
        stripeTwist     0.234397
        cycloneMagn     2.16278
        cycloneFreq     0.870914
        cycloneDensity  0.354089
        cycloneOctaves  3
        colorSea       (0.040, 0.100, 0.200, 1.000)
        colorShelf     (0.150, 0.480, 0.460, 1.000)
        colorBeach     (0.780, 0.750, 0.740, 0.000)
        colorDesert    (0.470, 0.420, 0.390, 0.000)
        colorLowland   (0.270, 0.250, 0.230, 0.000)
        colorUpland    (0.490, 0.480, 0.460, 0.000)
        colorRock      (0.260, 0.240, 0.230, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 1.308)
        colorLowPlants (0.100, 0.160, 0.070, 0.000)
        colorUpPlants  (0.090, 0.110, 0.040, 0.000)
        BumpHeight      17.5
        BumpOffset      7.896
        DiffMapAlpha   "Water"
        SpecBrightWater 0.3
        SpecBrightIce   0.3
        SpecularPower   55
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    Clouds
    {
        Height          7.60242
        Velocity        148.529
        BumpHeight      4.7619
        BumpOffset      1.5873
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        ModulateColor  (1.000 1.000 1.000 0.135)
        mainFreq        0.934612
        mainOctaves     10
        Coverage        0.492063
        stripeZones     2.11016
        stripeFluct     0
        stripeTwist     0.234397
    }

    Ocean
    {
        Height          7.896
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
    }

    Atmosphere
    {
        Model          "Earth"
        Height          60
        Density         1.2929
        Pressure        1
        Greenhouse      257.143
        Bright          2.53968
        Opacity         0.31746
        SkyLight        3
        Hue             -0.0873016
        Saturation      1

        Composition
        {
            N2    	34.6609
            CO2   	33.2454
            O2    	28.3499
            H2O   	3.24832
            He    	0.495479
        }
    }
    
    NoAurora        true
    
    Aurora
    {
        Height      7.6858
        NorthLat    62.6346
        NorthLon    101.31
        NorthRadius 117.367
        NorthWidth  26.2581
        NorthRings  5
        NorthBright 0.3
        NorthParticles 50000
        SouthLat    -36.2126
        SouthLon    302.4
        SouthRadius 123.908
        SouthWidth  26.8876
        SouthRings  4
        SouthBright 0.3
        SouthParticles 50000
        TopColor    (1.000 1.000 1.000)
        BottomColor (0.000 1.000 0.000)
    }

    Orbit
    {
        Epoch           2457600.5
        SemiMajorAxis   81.4395185
        Period          735
        PericenterDist  33.6909348
        Inclination     7.57484
        Eccentricity    0.586373
        MeanAnomaly     322.64901
        AscendingNode   211.68252
        ArgOfPericen    261.38216
        RefPlane        "Ecliptic"
    }
}

//------------------------------------------------------------------------------

Asteroid "U-Gravinator"    // Up
{
    ParentBody  "P.2015 RR245"
    Class       "Asteroid"
    
    Radius      70
    Mass        1e-6
    
    Oblateness  -0.5
    
    RotationPeriod  168
    Obliquity       180.0
    EqAscendNode    0
    
    Temperature 0
    
    Color       (1.0, 0.5, 0.0)
    
    Surface
    {
        BumpHeight      1.0
        BumpOffset      0.5
        DiffMapAlpha    "Ice"
        BumpMap         "gravgen_bump.*"
        
        SpecBrightWater 0
        SpecBrightIce   0
        SpecularPower   1
        SpotBright      0
        SpotWidth       0
        DayAmbient      0.1
    }
    
    StaticPosPolar   (0.0 90.0 1832.62379212)
}

Asteroid "D-Gravinator"    // Down
{
    ParentBody  "P.2015 RR245"
    Class       "Asteroid"
    
    Radius      70
    Mass        1e-6
    
    Oblateness  -0.5
    
    RotationPeriod  168
    Obliquity       0.0
    EqAscendNode    0
    
    Color       (1.0, 0.0, 0.5)
    
    Surface
    {
        BumpHeight      1.0
        BumpOffset      0.5
        DiffMapAlpha    "Ice"
        BumpMap         "gravgen_bump.*"
        
        SpecBrightWater 0
        SpecBrightIce   0
        SpecularPower   1
        SpotBright      0
        SpotWidth       0
        DayAmbient      0.1
    }
    
    StaticPosPolar   (0.0 -90.0 1832.62379212)
}

Asteroid "T-Gravinator"    // Truth
{
    ParentBody  "P.2015 RR245"
    Class       "Asteroid"
    
    Radius      70
    Mass        1e-6
    
    Oblateness  -0.5
    
    RotationPeriod  168
    Obliquity       -90.0
    EqAscendNode    0
    
    Color       (0.5, 1.0, 0.0)
    
    Surface
    {
        BumpHeight      1.0
        BumpOffset      0.5
        DiffMapAlpha    "Ice"
        BumpMap         "gravgen_bump.*"
        
        SpecBrightWater 0
        SpecBrightIce   0
        SpecularPower   1
        SpotBright      0
        SpotWidth       0
        DayAmbient      0.1
    }
    
    StaticPosPolar   (0.0 0.0 1832.62379212)
}

Asteroid "B-Gravinator"    // Beauty
{
    ParentBody  "P.2015 RR245"
    Class       "Asteroid"
    
    Radius      70
    Mass        1e-6
    
    Oblateness  -0.5
    
    RotationPeriod  168
    Obliquity       90.0
    EqAscendNode    0
    
    Color       (0.5, 0.0, 1.0)
    
    Surface
    {
        BumpHeight      1.0
        BumpOffset      0.5
        DiffMapAlpha    "Ice"
        BumpMap         "gravgen_bump.*"
        
        SpecBrightWater 0
        SpecBrightIce   0
        SpecularPower   1
        SpotBright      0
        SpotWidth       0
        DayAmbient      0.1
    }
    
    StaticPosPolar   (0.0 180.0 1832.62379212)
}

Asteroid "C-Gravinator"    // Charme
{
    ParentBody  "P.2015 RR245"
    Class       "Asteroid"
    
    Radius      70
    Mass        1e-6
    
    Oblateness  -0.5
    
    RotationPeriod  168
    Obliquity       90.0
    EqAscendNode    90.0
    
    Color       (0.0, 0.5, 1.0)
    
    Surface
    {
        BumpHeight      1.0
        BumpOffset      0.5
        DiffMapAlpha    "Ice"
        BumpMap         "gravgen_bump.*"
        
        SpecBrightWater 0
        SpecBrightIce   0
        SpecularPower   1
        SpotBright      0
        SpotWidth       0
        DayAmbient      0.1
    }
    
    StaticPosPolar   (-90.0 0.0 1832.62379212)
}

Asteroid "S-Gravinator"    // Strange
{
    ParentBody  "P.2015 RR245"
    Class       "Asteroid"
    
    Radius      70
    Mass        1e-6
    
    Oblateness  -0.5
    
    RotationPeriod  168
    Obliquity       -90.0
    EqAscendNode    90.0
    
    Color       (0.0, 1.0, 0.5)
    
    Surface
    {
        BumpHeight      1.0
        BumpOffset      0.5
        DiffMapAlpha    "Ice"
        BumpMap         "gravgen_bump.*"
        
        SpecBrightWater 0
        SpecBrightIce   0
        SpecularPower   1
        SpotBright      0
        SpotWidth       0
        DayAmbient      0.1
    }
    
    StaticPosPolar   (90.0 0.0 1832.62379212)
}

//------------------------------------------------------------------------------
