// -*- coding: utf-8 -*- 
// TPSolSys.sc
// Totale procedurale solar system
// JackDole 2016.07.10 15:00:57

// Put in 'addons\catalogs\planets'

//------------------------------------------------------------------------------
Star "P.Sol"
{
    ParentBody "P.Solar System"
    Class      "G2V"
    Luminosity  1.0
    Temperature 5778
    Age         4.57
    FeH         0.0

    MassSol     1.0
    RadSol      1.0
    Oblateness  9e-6
    
    PoleRA          12.075
    PoleDec        -63.87
    ZeroMeridian    0.0
    RotationPeriod  609.12
}

Planet "P.Mercury"
{
    ParentBody     "P.Sol"
    Class          "Selena"

    Mass            0.05528
    Radius          2440

    RotationPeriod  1407.509405
    RotationOffset  291.2
    Obliquity       7.01
    EqAscendNode    48.42

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.2408
        SemiMajorAxis   0.3871
        Eccentricity    0.2056
        Inclination     7.0049
        AscendingNode   48.33167
        LongOfPericen   77.456
        MeanLongitude   252.251
        ArgOfPeriPreces 227000
    }
}

Planet "P.Venus"
{
    ParentBody     "P.Sol"
    Class          "Desert"

    Mass            0.815
    Radius          6052

    RotationPeriod  5832.479839
    RotationOffset  137.45
    Obliquity       178.78
    EqAscendNode    300.22

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.6152
        SemiMajorAxis   0.7233
        Eccentricity    0.0068
        Inclination     3.3947
        AscendingNode   76.681
        LongOfPericen   131.533
        MeanLongitude   181.979
    }
}

//------------------------------------------------------------------------------
Barycenter	"P.Earth-P.Moon"
{
    ParentBody     "P.Sol"
    Orbit
    {
        RefPlane      "Ecliptic"
        Period         1.0
        SemiMajorAxis  1.0000010178
        Eccentricity   0.0167086342
        Inclination    0.0
        AscendingNode  348.739
        LongOfPericen  102.93734808
        MeanLongitude  100.46645683
    }
}

Planet "P.Earth"
{
    ParentBody     "P.Earth-P.Moon"
    Class          "Terra"

    Mass            1.0 
    Radius          6378.14 
    Oblateness      0.00335

    Age	            4.54

    RotationPeriod  23.9344694
    Precession      25592
    Obliquity       23.4392911
    EqAscendNode    180.0   
    RotationOffset -79.5    
    
    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial"
    }
    
    Atmosphere
    {
        Height      60
        Greenhouse  33
        Pressure    1.0
        Density     1.2929
        Adiabat     0.28
        Model      "Earth"
        Bright      10.0
        Opacity     1.0
        SkyLight    3.0
        
        Composition
        {
            N2  77.7729
            O2  20.8625
            Ar  0.9303
            H2O 0.4000
            CO2 0.0398
        }
    }
    
    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.07480422854
        SemiMajorAxis   0.000031610219244232
        Eccentricity    0.0549
        Inclination     5.15
        MeanAnomaly     135.27
        AscendingNode   125.08
        ArgOfPericen    138.15
    }
}

Moon "P.Moon"
{
    ParentBody     "P.Earth-P.Moon"
    Class          "Selena"

    Mass            0.012302
    Radius          1737.4
    Oblateness      0.002

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.07480422854
        SemiMajorAxis   0.002537908496755768
        Eccentricity    0.0549
        Inclination     5.15
        MeanAnomaly     135.27
        AscendingNode   125.08
        ArgOfPericen    318.15
    }
}

//------------------------------------------------------------------------------
Planet "P.Mars"
{
    ParentBody     "P.Sol"
    Class          "Desert"

    Mass            0.10745
    Radius          3396
    Oblateness      0.0069

    RotationPeriod  24.622962
    Obliquity       26.72
    EqAscendNode    82.91
    RotationOffset  -43.995
    
    Orbit
    {
        RefPlane       "Ecliptic"
        Period          1.8809
        SemiMajorAxis   1.5237
        Eccentricity    0.0934
        Inclination     1.8506
        AscendingNode   49.479
        LongOfPericen   336.041
        MeanLongitude   355.453
    }
}

DwarfMoon "P.Phobos"
{
    ParentBody     "P.Mars"
    Class          "Asteroid"

    Radius          9.3772
    Mass            1.79E-9

    Orbit
    {
        RefPlane       "Equator"
        Period          0.0008731466408
        SemiMajorAxis   6.268181817e-005
        Eccentricity    0.0151
        Inclination     1.075
        AscendingNode   128.694
        ArgOfPericen    213.804
        MeanAnomaly     191.771
    }
}

DwarfMoon "P.Deimos"
{
    ParentBody     "P.Mars"
    Class          "Asteroid"

    Radius          6.8
    Mass            2.4776E-9

    Orbit
    {
        RefPlane       "Equator"
        Period          0.003456448899
        SemiMajorAxis   0.0001568395722
        Eccentricity    0.00033
        Inclination     1.793
        AscendingNode   25.229
        ArgOfPericen    208.213
        MeanAnomaly     344.128
    }
}

//------------------------------------------------------------------------------
DwarfPlanet "P.Ceres"
{
    ParentBody     "P.Sol"
    Class          "Selena"

    Mass            0.0001579

    Radius          470.925
    Oblateness      0.0

    RotationPeriod  9.075
    RotationOffset  339.85
    Obliquity       11
    EqAscendNode    29

    Orbit
    {
        RefPlane       "Ecliptic"
        Epoch           2456401
        MeanMotion      0.214021
        SemiMajorAxis   2.76799
        Eccentricity    0.0761669
        Inclination     10.5942
        AscendingNode   80.3301
        ArgOfPericenter 72.1671
        MeanAnomaly     327.854
    }
}

Asteroid "P.Pallas"
{
    ParentBody     "P.Sol"

    Mass            0.0000345
    Radius          263

    RotationPeriod  7.81323264
    RotationOffset  352.77
    Obliquity       102
    EqAscendNode    162

    Orbit
    {
        RefPlane       "Ecliptic"
        Epoch           2456401
        MeanMotion      0.213555
        SemiMajorAxis   2.77202
        Eccentricity    0.2315
        Inclination     34.8368
        AscendingNode   173.12
        ArgOfPericenter 309.954
        MeanAnomaly     310.045
    }
}

Asteroid "P.Juno"
{
    ParentBody     "P.Sol"

    Mass            4.722e-6
    Radius          130

    RotationPeriod  7.811
    Obliquity       56
    EqAscendNode    196

    Orbit
    {
        RefPlane       "Ecliptic"
        Epoch           2456401
        MeanMotion      0.225818
        SemiMajorAxis   2.67073
        Eccentricity    0.255305
        Inclination     12.9794
        AscendingNode   169.883
        ArgOfPericenter 248.31
        MeanAnomaly     257.639
    }
}

Asteroid "P.Vesta"
{
    ParentBody     "P.Sol"

    Mass            4.337e-5

    Radius          211.946
    Oblateness      0	

    RadiusInfo      285
    OblatenessInfo  0.19649

    RotationPeriod  5.342
    RotationOffset  325.77
    Obliquity       40
    EqAscendNode    91

    Orbit
    {
        RefPlane       "Ecliptic"
        Epoch           2456401
        MeanMotion      0.271432
        SemiMajorAxis   2.36245
        Eccentricity    0.0882571
        Inclination     7.13991
        AscendingNode   103.85
        ArgOfPericenter 150.94
        MeanAnomaly     218.172
    }
}

Asteroid "P.Hygiea"
{
    ParentBody     "P.Sol"
    Radius          431
    Mass            1.45124e-5
    RotationPeriod  27.623

    Orbit
    {
        RefPlane       "Ecliptic"
        Epoch           2456401
        MeanMotion      0.177388
        SemiMajorAxis   3.13703
        Eccentricity    0.116109
        Inclination     3.8419
        AscendingNode   283.418
        ArgOfPericenter 312.758
        MeanAnomaly     121.957
    }
}

//------------------------------------------------------------------------------
Planet "P.Jupiter"
{
    ParentBody     "P.Sol"
    Class          "GasGiant"

    Mass            317.832
    Radius          71492
    Oblateness      0.06487

    RotationPeriod  9.92425
    RotationOffset  305.4
    Obliquity       2.222461
    EqAscendNode   -22.203

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          11.8622
        SemiMajorAxis   5.2034
        Eccentricity    0.0484
        Inclination     1.3053
        AscendingNode   100.556
        LongOfPericen   14.7539
        MeanLongitude   34.404
    }
}

DwarfMoon "P.Metis"
{
    ParentBody     "P.Jupiter"
    Class          "Asteroid"

    Radius          21.5
    Mass            6.0E-9

    Orbit
    {
        Period          0.0008070808904
        SemiMajorAxis   0.0008554745988
        Eccentricity    0.0012
        Inclination     0.019
        AscendingNode   263.953
        ArgOfPericen    274.588
        MeanAnomaly     7.649
    }
}


DwarfMoon "P.Adrastea"
{
    ParentBody     "P.Jupiter"
    Class          "Asteroid"

    Radius          8.2
    Mass            3.3E-10

    Orbit
    {
        Period          0.0008166088146
        SemiMajorAxis   0.0008621657753
        Eccentricity    0.0018
        Inclination     0.054
        AscendingNode   36.236
        ArgOfPericen    213.656
        MeanAnomaly     344.875
    }
}

DwarfMoon "P.Amalthea"
{
    ParentBody     "P.Jupiter"
    Class          "Asteroid"

    Mass            3.515E-7
    Radius          83.5

    Orbit
    {
        Epoch           2452583.763
        Period          0.001363968895
        SemiMajorAxis   0.001216542647
        Eccentricity    0.0045045
        Inclination     0.384285
        AscendingNode   220.288958
        ArgOfPericen    301.622765
        MeanAnomaly     315.352094
    }
}

DwarfMoon "P.Thebe"
{
    ParentBody      "P.Jupiter"

    Radius          49.3
    Mass            7.2E-8

    Orbit
    {
        Period          0.001846719793
        SemiMajorAxis   0.00148328877
        Eccentricity    0.0177
        Inclination     1.075
        AscendingNode   0.415
        ArgOfPericen    28.001
        MeanAnomaly     181.09
    }
}

Moon "P.Io"
{
    ParentBody     "P.Jupiter"
    Class          "Selena"

    Mass            0.01495
    Radius          1821.6

    Orbit
    {
        Epoch          2443000
        Period         0.004843739305
        SemiMajorAxis  0.002818181818
        Eccentricity   0.0041
        Inclination    0.04
        AscendingNode  312.981
        LongOfPericen  97.735
        MeanLongitude  106.724
    }
}

Moon "P.Europa"
{
    ParentBody     "P.Jupiter"
    Class          "IceWorld"

    Mass            0.008035
    Radius          1560.8

    Orbit
    {
        Epoch          2443000
        Period         0.009724533474
        SemiMajorAxis  0.004484625668
        Eccentricity   0.0101
        Inclination    0.47
        AscendingNode  101.087
        LongOfPericen  155.512
        MeanLongitude  176.377
    }
}

Moon "P.Ganymede"
{
    ParentBody     "P.Jupiter"
    Class          "IceWorld"

    Mass            0.0248
    Radius          2631.2

    Orbit
    {
        Epoch          2443000
        Period         0.01958851688
        SemiMajorAxis  0.007152406416
        Eccentricity   0.0015
        Inclination    0.195
        AscendingNode  119.841
        LongOfPericen  188.831
        MeanLongitude  121.206
    }
}

Moon "P.Callisto"
{
    ParentBody     "P.Jupiter"
    Class          "IceWorld"

    Mass            0.01801155
    Radius          2410.3

    Orbit
    {
        Epoch          2443000
        Period         0.04569301685
        SemiMajorAxis  0.01258689839
        Eccentricity   0.007
        Inclination    0.281
        AscendingNode  323.265
        LongOfPericen  335.933
        MeanLongitude  85.091
    }
}

//------------------------------------------------------------------------------
Planet "P.Saturn"
{
    ParentBody     "P.Sol"
    Class          "GasGiant"

    Mass            95.162
    Radius          60268
    Oblateness      0.09796

    RotationPeriod  10.65622
    RotationOffset  358.922
    Obliquity       28.049
    EqAscendNode    169.53

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          29.4577
        SemiMajorAxis   9.5371
        Eccentricity    0.0542
        Inclination     2.4845
        AscendingNode   113.715
        LongOfPericen   92.432
        MeanLongitude   49.944
    }
}

DwarfMoon "P.Prometheus"
{
    ParentBody     "P.Saturn"
    Class          "Asteroid"

    Mass            2.68E-8
    Radius          74

    RotationOffset  236

    Orbit
    {
        Period         0.001678300043
        SemiMajorAxis  0.0009314839571
        Eccentricity   0.0023
        Inclination    0
        LongOfPericen  32.879
        MeanAnomaly    22.695
    }
}

DwarfMoon "P.Pandora"
{
    ParentBody     "P.Saturn"
    Class          "Asteroid"

    Mass            2.34E-8
    Radius          57

    RotationOffset  117

    Orbit
    {
        Period         0.001721608292
        SemiMajorAxis  0.0009471925132
        Eccentricity   0.0044
        Inclination    0
        LongOfPericen  234.458
        MeanAnomaly    62.483
    }
}

DwarfMoon "P.Epimetheus"
{
    ParentBody     "P.Saturn"
    Class          "Asteroid"

    Mass            8.87E-8
    Radius          72

    RotationOffset  249

    Orbit
    {
        Period         0.00190172439
        SemiMajorAxis  0.001012179144
        Eccentricity   0.0205
        Inclination    0.337
        AscendingNode  149.88
        ArgOfPericen   86.905
        MeanAnomaly    192.354
    }
}

DwarfMoon "P.Janus"
{
    ParentBody     "P.Saturn"
    Class          "Asteroid"

    Mass            3.18E-7
    Radius          96

    RotationOffset  64

    Orbit
    {
        Period         0.00190172439
        SemiMajorAxis  0.001012513369
        Eccentricity   0.0073
        Inclination    0.168
        AscendingNode  120.557
        ArgOfPericen   43.066
        MeanAnomaly    79.973
    }
}

Moon "P.Mimas"
{
    ParentBody     "P.Saturn"
    Class          "IceWorld"

    Mass            6.19E-6
    Radius          202.25
    Oblateness      0.06

    Orbit
    {
        Epoch          2451179.5
        Period         0.002580265369
        SemiMajorAxis  0.001240106952
        Eccentricity   0.0206
        Inclination    1.566
        ArgOfPericen   332.864
        AscendingNode  177.459
        MeanAnomaly    100.173
    }
}

Moon "P.Enceladus"
{
    ParentBody     "P.Saturn"
    Class          "IceWorld"

    Mass            1.841E-5
    Radius          249.4

    Orbit
    {
        Epoch          2451179.5
        Period         0.003751532545
        SemiMajorAxis  0.001591042781
        Eccentricity   0.0001
        Inclination    0.01
        ArgOfPericen   334.689
        AscendingNode  137.077
        MeanAnomaly    162.044
    }
}

Moon "P.Tethys"
{
    ParentBody     "P.Saturn"
    Class          "IceWorld"

    Mass            1.037E-4
    Radius          529.9

    Orbit
    {
        Epoch          2451179.5
        Period         0.005168630569
        SemiMajorAxis  0.001969652406
        Eccentricity   0.0001
        Inclination    0.168
        ArgOfPericen   149.166
        AscendingNode  149.174
        MeanAnomaly    28.755
    }
}

Moon "P.Dione"
{
    ParentBody     "P.Saturn"
    Class          "IceWorld"

    Mass            1.84E-4
    Radius          559

    Orbit
    {
        Epoch          2451179.5
        Period         0.007493424911
        SemiMajorAxis  0.002522727272
        Eccentricity   0.0002
        Inclination    0.002
        AscendingNode  57.741
        ArgOfPericen   173.999
        MeanAnomaly    109.204
    }
}

Moon "P.Rhea"
{
    ParentBody     "P.Saturn"
    Class          "IceWorld"

    Mass            3.85E-4
    Radius          764

    Orbit
    {
        Epoch          2451179.5
        Period         0.01236850506
        SemiMajorAxis  0.003522994652
        Eccentricity   0.0009
        Inclination    0.327
        AscendingNode  1.095
        ArgOfPericen   205.869
        MeanAnomaly    109.204
    }
}

Moon "P.Titan"
{
    ParentBody     "P.Saturn"
    Class          "Titan"

    Mass            0.02176
    Radius          2574.91

    Orbit
    {
        Epoch          2451179.5
        Period         0.04365711574
        SemiMajorAxis  0.008167446523
        Eccentricity   0.0288
        Inclination    1.634
        AscendingNode  44.046
        ArgOfPericen   172.749
        MeanAnomaly    192.132
    }
}

DwarfMoon "P.Hyperion"
{
    ParentBody     "P.Saturn"
    Class          "Asteroid"

    Mass            9.54E-7
    Radius          171

    RotationPeriod  120
    Obliquity       61
    EqAscendNode    145

    Orbit
    {
        Epoch          2451179.5
        Period         0.05825342471
        SemiMajorAxis  0.009900401068
        Eccentricity   0.0175
        Inclination    0.43
        AscendingNode  273.863
        ArgOfPericen   262.058
        MeanAnomaly    59.956
    }
}

Moon "P.Iapetus"
{
    ParentBody     "P.Saturn"
    Class          "IceWorld"

    Mass            3.35E-4
    Radius          718

    Obliquity       15.5
    EqAscendNode    75.583

    Orbit
    {
        Epoch          2451179.5
        Period         0.2171988423
        SemiMajorAxis  0.02380548128
        Eccentricity   0.0284
        Inclination    7.57
        AscendingNode  75.583
        ArgOfPericen   275.85
        MeanAnomaly    350.306
    }
}

DwarfMoon "P.Phoebe"
{
    ParentBody     "P.Saturn"
    Class          "IceWorld"

    Mass            1.39E-6
    Radius          110

    RotationPeriod  9.282
    RotationOffset  320.3
    Obliquity       17.4
    EqAscendNode    259.9

    Orbit
    {
        Epoch          2451179.5
        Period         1.500949233
        SemiMajorAxis  0.08633363635
        Eccentricity   0.1644
        Inclination    174.751
        AscendingNode  237.143
        ArgOfPericen   337.537
        MeanAnomaly    174.569
    }
}

//------------------------------------------------------------------------------
Planet "P.Uranus"
{
    ParentBody     "P.Sol"
    Class          "IceGiant"

    Mass            14.536
    Radius          25559
    Oblateness      0.02293

    RotationPeriod  17.24
    RotationOffset  331.18
    Obliquity       97.81
    EqAscendNode    167.76

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          84.0139
        SemiMajorAxis   19.1913
        Eccentricity    0.0472
        Inclination     0.7699
        AscendingNode   74.23
        LongOfPericen   170.964
        MeanLongitude   313.232
    }
}

Moon "P.Miranda"
{
    ParentBody     "P.Uranus"
    Class          "IceWorld"

    Mass            1.1E-5
    Radius          235.8

    Orbit
    {
        Period         0.003868665778
        SemiMajorAxis  0.0008676470587
        Eccentricity   0.0027
        Inclination    4.22
        MeanAnomaly    120
    }
}

Moon "P.Ariel"
{
    ParentBody     "P.Uranus"
    Class          "IceWorld"

    Mass            2.26E-4
    Radius          578.9

    Orbit
    {
        Period         0.006899531325
        SemiMajorAxis  0.001278074866
        Eccentricity   0.0034
        Inclination    0.31
        MeanAnomaly    56
    }
}

Moon "P.Umbriel"
{
    ParentBody     "P.Uranus"
    Class          "IceWorld"

    Mass            1.96E-4
    Radius          584.7

    Orbit
    {
        Period         0.01134589596
        SemiMajorAxis  0.001778074866
        Eccentricity   0.005
        Inclination    0.36
        MeanAnomaly    280
    }
}

Moon "P.Titania"
{
    ParentBody     "P.Uranus"
    Class          "IceWorld"

    Mass            5.91E-4
    Radius          788.9

    Orbit
    {
        Period         0.02383623798
        SemiMajorAxis  0.002913101604
        Eccentricity   0.0022
        Inclination    0.1
        MeanAnomaly    30
    }
}

Moon "P.Oberon"
{
    ParentBody     "P.Uranus"
    Class          "IceWorld"

    Mass            5.04E-4
    Radius          761.4

    Orbit
    {
        Period         0.03686047231
        SemiMajorAxis  0.003901069518
        Eccentricity   0.0008
        Inclination    0.1
        MeanAnomaly    150
    }
}

//------------------------------------------------------------------------------
Planet "P.Neptune"
{
    ParentBody     "P.Sol"
    Class          "IceGiant"

    Mass            17.147
    Radius          24766
    Oblateness      0.01708

    RotationPeriod  16.11
    RotationOffset  228.65
    Obliquity       28.03
    EqAscendNode    49.235

    Color         ( 0.750 0.750 1.000 )
    Albedo          0.29 
    AlbedoBond      0.29 
    AlbedoGeom      0.41
    Brightness      1.07

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          164.793
        SemiMajorAxis   30.069
        Eccentricity    0.0086
        Inclination     1.7692
        AscendingNode   131.722
        LongOfPericen   44.971
        MeanLongitude   304.88
    }
}

DwarfMoon "P.Larissa"
{
    ParentBody     "P.Neptune"
    Class          "Asteroid"

    Radius          98
    Mass            8.2E-7

    Orbit
    {
        Period         0.00151859232
        SemiMajorAxis  0.000491631016
        Eccentricity   0.0014
        Inclination    0.744
        AscendingNode  324.857
        ArgOfPericen   215.004
        MeanAnomaly    157.543
    }
}

Moon "P.Proteus"
{
    ParentBody     "P.Neptune"
    Class          "Asteroid"

    Radius          219
    Mass            8.37E-6

    Orbit
    {
        Epoch          2450085.5
        Period         0.003072796626
        SemiMajorAxis  0.0007864104277
        Eccentricity   0.0005
        Inclination    1.09
        AscendingNode  330.943
        ArgOfPericen   267.246
        MeanAnomaly    213.916
    }
}

Moon "P.Triton"
{
    ParentBody     "P.Neptune"
    Class          "IceWorld"

    Radius          1353.4
    Mass            3.515E-3

    Orbit
    {
        Epoch          2447763.5
        Period         0.01609029324
        SemiMajorAxis  0.002371425708
        Eccentricity   2.285e-005
        Inclination    156.82624
        AscendingNode  147.899288
        ArgOfPericen   293.0924
        MeanAnomaly    315.726316
    }
}

Moon "P.Nereid"
{
    ParentBody     "P.Neptune"
    Class          "Asteroid"

    Radius          170
    Mass            5.19E-6

    Orbit
    {
        Epoch          2447763.5
        Period         0.986020208
        SemiMajorAxis  0.03685427807
        Eccentricity   0.7512
        Inclination    28.385
        AscendingNode  190.678
        ArgOfPericen   17.69
        MeanAnomaly    36.056
    }
}

//------------------------------------------------------------------------------
Barycenter "P.Pluto-P.Charon"
{
    ParentBody     "P.Sol"
    Orbit
    {
        RefPlane       "Ecliptic"
        Period          248.54
        SemiMajorAxis   39.48168677
        Eccentricity    0.24880766
        Inclination     17.14175
        AscendingNode   110.30347
        LongOfPericen   224.06776
        MeanLongitude   238.92881
    }
}

DwarfPlanet "P.Pluto"
{
    ParentBody     "P.Pluto-P.Charon"
    Class          "IceWorld"
    AsterType      "P.lutino"

    Mass            2.185E-3
    Radius          1185

    RotationPeriod  153.29389971661
    Obliquity       112.783
    EqAscendNode    223.0539
    RotationOffset  45
    TidalLocked     true
    
    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.01748769994
        SemiMajorAxis   0.0000151732727282
        Eccentricity    0.003484
        Inclination     112.783
        AscendingNode   223.0539
        ArgOfPericen    337.92
        MeanAnomaly     56.9861
    }
}

Moon "P.Charon"
{
    ParentBody     "P.Pluto-P.Charon"
    Class          "IceWorld"

    Mass            2.54E-4
    Radius          593

    RotationPeriod  153.29389971661
    Obliquity       112.783
    EqAscendNode    223.0539
    RotationOffset  0
    TidalLocked     true

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.01748769994
        SemiMajorAxis   0.0001312566845
        Eccentricity    0.003484
        Inclination     112.783
        AscendingNode   223.0539
        ArgOfPericen    157.92
        MeanAnomaly     56.9861
    }
}

DwarfMoon "Styx"
{
    ParentBody     "P.Pluto-P.Charon"
    Class          "Asteroid"

    Radius          3
    RotationPeriod  495.1441681712142

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.05530459
        SemiMajorAxis   0.00028075
        Eccentricity    0.00001
        Inclination     112.783
        AscendingNode   223.0539
        ArgOfPericen    149.649
        MeanAnomaly     336.760
    }
}

DwarfMoon "Nix"
{
    ParentBody     "P.Pluto-P.Charon"
    Class          "Asteroid"

    Radius          20
    RotationPeriod  43.7761445326
    Obliquity       132

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.068064424
        SemiMajorAxis   0.000325594
        Eccentricity    0.003
        Inclination     112.783
        AscendingNode   223.0539
        ArgOfPericen    270.877
        MeanAnomaly     260.688
    }
}

DwarfMoon "P.Kerberos"
{
    ParentBody     "P.Pluto-P.Charon"
    Class          "Asteroid"

    Radius          4.5
    RotationPeriod  127.570721902

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.08788689
        SemiMajorAxis   0.00039439
        Eccentricity    0.0
        Inclination     112.783
        AscendingNode   223.0539
        ArgOfPericen    149.649
        MeanAnomaly     336.760
    }
}

DwarfMoon "P.Hydra"
{
    ParentBody     "P.Pluto-P.Charon"
    Class          "Asteroid"

    Radius          19
    RotationPeriod  10.2798546073

    Orbit
    {
        Period         0.104588133
        SemiMajorAxis  0.000432822
        Eccentricity   0.00554
        Inclination    112.995
        AscendingNode  223.0539
        ArgOfPericen   149.649
        MeanAnomaly    336.760
        RefPlane      "Ecliptic"
    }
}

//------------------------------------------------------------------------------
DwarfPlanet "P.Haumea"
{
    ParentBody     "P.Sol"
    AsterType      "Cubewano"

    Radius          869.5
    Oblateness      0.427
    Mass            0.00066

    RotationPeriod  3.9155
    Obliquity       126
    EqAscendNode    26

    Orbit
    {
        RefPlane       "Ecliptic"
        Epoch           2456401
        MeanMotion      0.00348839
        SemiMajorAxis   43.0579
        Eccentricity    0.195253
        Inclination     28.1941
        AscendingNode   121.819
        ArgOfPericenter 240.678
        MeanAnomaly     206.48
    }
}

DwarfMoon "P.Hi'iaka"
{
    ParentBody     "P.Haumea"
    Class          "Asteroid"

    Radius          155
    Mass            2.9962e-6

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.1344861026
        SemiMajorAxis   0.0003308823529
        Eccentricity    0.05
        Inclination     126.356
        AscendingNode   26.1
        ArgOfPericen    278.6
        MeanAnomaly     16.71
    }
}

DwarfMoon "P.Namaka"
{
    ParentBody     "P.Haumea"
    Class          "Asteroid"

    Radius          85
    Mass            2.9962e-7

    Orbit
    {
        RefPlane       "Ecliptic"
        Period          0.09336270562
        SemiMajorAxis   0.0002627005347
        Eccentricity    0.23
        Inclination     113.031
        AscendingNode   25
    }
}

//------------------------------------------------------------------------------
DwarfPlanet "P.Makemake"
{
    ParentBody     "P.Sol"
    AsterType      "Cubewano"

    Radius          750
    Mass            0.0005

    RotationPeriod  7.771

    Orbit
    {
        RefPlane       "Ecliptic"
        Epoch           2456401
        MeanMotion      0.00320549
        SemiMajorAxis   45.5554
        Eccentricity    0.159941
        Inclination     29.0131
        AscendingNode   79.2872
        ArgOfPericenter 297.077
        MeanAnomaly     154.559
    }
}

DwarfMoon "P.MK 2"
{
    ParentBody     "P.Makemake"
    Class          "Asteroid"

    Radius          87.5

    Orbit
    {
        RefPlane       "Equator"
        Period          0.03395
        SemiMajorAxis   0.000141
    }
}

//------------------------------------------------------------------------------
DwarfPlanet "P.Eris"
{
    ParentBody     "P.Sol"

    Radius          1163
    Mass            0.0028

    RotationPeriod  25.9
    EqAscendNode    142
    Obliquity       139

    Orbit
    {
        RefPlane       "Ecliptic"
        Epoch           2456401
        MeanMotion      0.00175931
        SemiMajorAxis   67.9581
        Eccentricity    0.437079
        Inclination     43.8851
        AscendingNode   36.031
        ArgOfPericenter 150.804
        MeanAnomaly     203.207
    }
}

DwarfMoon "P.Dysnomia"
{
    ParentBody     "P.Eris"

    Radius          342

    Orbit
    {
        RefPlane       "Ecliptic"
        Epoch           2453979.0
        Period          0.0431823
        SemiMajorAxis   2.5021e-4
        Inclination     142
        AscendingNode   139
        MeanAnomaly     328.6
    }
}
